import type { RegistryScriptInput } from '#nuxt-scripts';
export declare const MatomoAnalyticsOptions: import("valibot").ObjectSchema<{
    matomoUrl: import("valibot").StringSchema<string>;
    siteId: import("valibot").StringSchema<string>;
    trackPageView: import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
    enableLinkTracking: import("valibot").OptionalSchema<import("valibot").BooleanSchema<boolean>, undefined, boolean | undefined>;
}, undefined, {
    matomoUrl: string;
    siteId: string;
    trackPageView?: boolean | undefined;
    enableLinkTracking?: boolean | undefined;
}>;
export type MatomoAnalyticsInput = RegistryScriptInput<typeof MatomoAnalyticsOptions, false>;
interface MatomoAnalyticsApi {
    _paq: unknown[];
}
declare global {
    interface Window extends MatomoAnalyticsApi {
    }
}
export declare function useScriptMatomoAnalytics<T extends MatomoAnalyticsApi>(_options?: MatomoAnalyticsInput): any;
export {};
